General

Общие операции (профиль, заказы, справочники)

Создать и оплатить заказ

post

Покупка по имени продукта, локации и циклу. Для Datacenter/ISP — location обязателен. Для Standart Residential Proxy — location не требуется.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
or
or
or
or
Responses
chevron-right
200

Успешно

application/json
successbooleanRequiredExample: true
messagestringRequiredExample: Order paid successfully
order_idintegerRequired
post
/user/api/orders/purchase

Изменить биллинг-цикл заказа

post

Меняет цикл оплаты по названию цикла. Только для Datacenter & ISP прокси. Если промокод недоступен для выбранного цикла, он будет автоматически сброшен.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
order_idintegerRequired
Body
cyclestringRequiredExample: monthly
Responses
chevron-right
200

Успешно

application/json
successbooleanOptional
messagestringOptional
orderobjectOptional
post
/user/api/orders/change-billing-cycle/{order_id}

Изменить авто-продление заказа

post

Включить/выключить авто-продление. Только для Datacenter & ISP прокси.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
order_idintegerRequired
Query parameters
auto_renewalbooleanRequiredExample: true
Responses
chevron-right
200

Успешно

application/json
successbooleanOptional
messagestringOptional
post
/user/api/orders/edit-auto-renewal/{order_id}

Получить продукты и их циклы

get

Возвращает продукты для API с названиями доступных циклов.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
chevron-right
200

Список продуктов

application/json
successbooleanRequired
get
/user/api/proxies/products
200

Список продуктов

Узнать доступное количество прокси

get

Возвращает суммарное доступное количество для всех продуктов.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
chevron-right
200

Успешно

application/json
countrystringRequired
productstringRequired
amountintegerRequired
get
/user/api/proxies/available-count
200

Успешно

Информация о пользователе

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
chevron-right
200

Данные профиля

application/json
emailstringRequired
active_ordersintegerRequired
wallet_balanceintegerRequired

в центах

get
/user/api/me
200

Данные профиля

Список заказов

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
statusstringRequired

active | on-hold | cancelled | all

offsetintegerOptional

Смещение выборки (по умолчанию 0)

Example: 0
limitinteger · min: 1 · max: 100Optional

Размер страницы (1..100, по умолчанию 20)

Example: 20
Responses
chevron-right
200

Список заказов

application/json
successbooleanRequired
countintegerOptional

Количество заказов в текущей выборке

prevstring · nullableOptional

URI предыдущей страницы

nextstring · nullableOptional

URI следующей страницы

get
/user/api/orders
200

Список заказов

Получить информацию о заказе

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idintegerRequired
Responses
chevron-right
200

Информация о заказе

application/json
successbooleanRequired
get
/user/api/orders/{id}
200

Информация о заказе

Продлить заказ

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idintegerRequired
Responses
chevron-right
200

Успешно

application/json
successbooleanRequired
post
/user/api/orders/{id}/renew

Изменить тег заказа

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idintegerRequired
Body
tagstringRequiredExample: none
Responses
chevron-right
200

Успешно

application/json
successbooleanRequired
post
/user/api/orders/{id}/tag
200

Успешно

Last updated

Was this helpful?